Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
trace_var Struct Reference

## Data Fields
int | removed
void(* | func )(VALUE arg, VALUE val)
VALUE | data
struct trace_var * | next

## Detailed Description

Definition at line 408 of file variable.c.

## Field Documentation

VALUE trace_var::data

Definition at line 411 of file variable.c.

Referenced by mark_global_entry(), rb_f_trace_var(), rb_f_untrace_var(), and trace_ev().

void(* trace_var::func)(VALUE arg, VALUE val)

Definition at line 410 of file variable.c.

Referenced by rb_f_trace_var(), and trace_ev().

struct trace_var* trace_var::next

Definition at line 412 of file variable.c.

Referenced by mark_global_entry(), rb_alias_variable(), rb_f_trace_var(), rb_f_untrace_var(), remove_trace(), and trace_ev().

int trace_var::removed

Definition at line 409 of file variable.c.

Referenced by rb_f_trace_var(), rb_f_untrace_var(), and remove_trace().

The documentation for this struct was generated from the following file:

- variable.c